System Requirements

Hardware Requirements

Our minimum hardware requirements to ensure a satisfactory level of performance are:

  • Processor and RAM to meet operating system requirements
  • 300MB of hard disk space free (minimum) 1Gb+ hard disk space (recommended).
  • Broadband Internet Access (recommended).
  • Any Windows compatible colour or monochrome printer (colour recommended).
  • For a multi-user installation a network is required.


Software Requirements

A licensed copy of Microsoft Word version, 2016, 2019 or Office 365 is required if you intend to create Personal Financial Profile reports, Standard Documents or Mailshots.

Supported Office Versions

It is recommended that you upgrade to the latest service pack for your product.

Office 2016

  • Home & Business - Supported1
  • Home & Student - Supported1
  • Standard - Supported1
  • Professional - Supported
  • Professional Plus - Supported

Office 2019

  • Home & Business - NOT SUPPORTED
  • Home & Student - NOT SUPPORTED
  • Standard - NOT SUPPORTED
  • Professional - Supported
  • Professional Plus - Supported

Note: 
It is highly recommended that the 32-bit version of Office should be used in preference to the 64-bit version.


1) If this version of Office is installed it must be the 32-bit version. JCS can not run alongside 64-bit versions.  

Supported Operating Systems

  • Windows 7 32 bit - Supported for service pack 1 or greater only
  • Windows 7 64 bit - Supported for service pack 1 or greater only
  • Windows 8 32 bit - Supported
  • Windows 8 64 bit - Supported
  • Windows 8 RT - NOT SUPPORTED
  • Windows 8.1 32 bit - Supported
  • Windows 8.1 64 bit - Supported
  • Windows10 32 bit - Supported
  • Windows10 64 bit - Supported
  • Windows10 S - NOT SUPPORTED

 

  • Windows Server 2008 R2 - Supported for service pack 1
  • Windows Server 2012 - Supported
  • Windows Server 2012 R2 - Supported
  • Windows Server 2016 - Supported 

Windows 8 & Server 2012 Support Read More>>

Recommended Internet Options Security Changes

Due to the many security vulnerabilities of the last year or so, mainly based around the SSL and TLS encryption protocols, many Product Providers are starting to drop support for older security protocols and insisting that connections to valuation services and adviser portals are only allowed when using the newer protocols.

To ensure that you are able to continue using these services we recommend that the following Internet Security protocols be disabled; 

  • SSL 2.0
  • SSL 3.0 
  • TLS 1.0
  • TLS 1.1

and that TLS 1.2 is enabled.

The above settings are usually located by going to 'Internet Options'>'Advanced' and scrolling to the bottom of 'Settings' list. Simply un-tick the boxes mentioned above and then click the 'Apply' and 'Ok' buttons to disable unwanted security settings and save the changes.

If you were experiencing issues with connections before this, you may need to restart JCS and any web browser sessions before trying again. 

The site below will guide you through turning off support for SSLv3 from within your specific browser. While you are in the options page, you should be able to see how to enable TLS 1.0 through TLS 1.2 as well.

 Disabling SSLv3 Support in Browsers 

Contact JCS:

If you already have a network installed and you are unsure whether it will meet with our hardware requirements please contact JCS Technical Support team on: 03450 049 599 option 1 (Local call rate) or +44 (0)20 7043 9014 option 1 (International).

Note: If you are unable to speak to a member of JCS Technical Support right away please leave your name, contact number and a short message and a member of our support team will contact you as soon as they become available.